<< bitrevorder | FOSSEE_Signal_Processing_Toolbox | blackmanharris >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > blackman

# blackman

Generate a Blackman window.

### Syntax

    w = blackman(N)
    w = blackman(N, sflag)

### Parameters

N:

  Positive integer. Length of the Blackman window.

sflag:

  String. Specifies the type of Blackman window ('symmetric' or 'periodic'). Default is 'symmetric'.

### Description

This function generates an N-point Blackman window. By default, it returns a symmetric Blackman window. If `sflag` is set to 'periodic', the function generates a periodic Blackman window, which is useful in spectral analysis.

### Examples

    w = blackman(4)

### Authors

- Ankur Mallick

### Bibliography

[1] Oppenheim, Alan V., Ronald W. Schafer, and John R. Buck. Discrete-Time Signal Processing. Upper Saddle River, NJ: Prentice Hall, 1999.

Report an issue
<< bitrevorder | FOSSEE_Signal_Processing_Toolbox | blackmanharris >>